{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% block component_part %}

    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        content_heading: 'password.recover'|trans
    } %}
        {% block content %}
            <form
                method="post"
                action="{{ path('DemosPlan_user_password_recover') }}"
                class="{{ 'u-2-of-3-desk-up u-pt-desk-up u-pb-2-desk-up'|prefixClass }}">
                <p>
                    {{ 'password.forgot.info'|trans }}
                </p>

                {{ uiComponent('form.row', { elements: [{
                    label: { text: 'email.address'|trans },
                    control: { name: 'email' },
                    id: 'email',
                    type: 'email',
                    required: true
                }] }) }}

                {{ uiComponent('button', {
                    type: 'submit',
                    text: 'password.forgot.action'|trans
                }) }}
            </form>
        {% endblock content %}
    {% endembed %}

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['user-resetPassword.js']) }}
{% endblock javascripts %}
